GET
/api/products/{productId}/plans
const url = 'https://example.com/api/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/plans';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/products/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/plans \ --header 'Authorization: Bearer <token>'Returns all plans offered under the given product, ordered by price.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” productId
required
string format: uuid
The parent product’s identifier.
Responses
Section titled “ Responses ”Plans for the product.
Media type application/json
Array<object>
object
id
string format: uuid
merchantId
string format: uuid
productId
string format: uuid
name
string
description
string
price
number format: double
setupFee
number format: double
frequency
string
trialDays
integer format: int32
minimumContractMonths
integer format: int32
cancellationFee
number format: double
isActive
boolean
isPublic
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
Example
[ { "frequency": "OneOff" }]